java.lang.IllegalStateException: 1: Applicaiton context must be associated with the current classloader first

myfaces-users | Jiayun | 5 years ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Re: Getting Spring beans from CODI bean

    myfaces-users | 5 years ago | Jiayun
    java.lang.IllegalStateException: 1: Applicaiton context must be associated with the current classloader first
  2. 0

    Re: Getting Spring beans from CODI bean

    myfaces-users | 5 years ago | Jiayun
    java.lang.IllegalStateException: 1: Applicaiton context must be associated with the current classloader first

    Root Cause Analysis

    1. java.lang.IllegalStateException

      1: Applicaiton context must be associated with the current classloader first

      at org.cdisource.springintegration.springsupport.ApplicationContextLocatorImpl.<init>()
    2. org.cdisource.springintegration
      SpringIntegrationExtention$SpringBean.create
      1. org.cdisource.springintegration.springsupport.ApplicationContextLocatorImpl.<init>(ApplicationContextLocatorImpl.java:40)
      2. org.cdisource.springintegration.springsupport.ApplicationContextLocatorManager.locateAppContextLocator(ApplicationContextLocatorManager.java:129)
      3. org.cdisource.springintegration.springsupport.ApplicationContextLocatorManager.getInstance(ApplicationContextLocatorManager.java:79)
      4. org.cdisource.springintegration.springsupport.ApplicationContextLocatorManager.getInstance(ApplicationContextLocatorManager.java:55)
      5. org.cdisource.springintegration.SpringIntegrationExtention$SpringBean.create(SpringIntegrationExtention.java:173)
      5 frames